Manage automatic settings for your account

Modify automatic settings for your account, such as how invoices are generated. Use this to customize how your account handles various processes.

Billing & Payments Billing

Context

Used in the dashboard

/billing /account

Headers

Accept Example
Content-Type Example

Body

required
application/json
setting string · enum required · Example: GenerateSeparateInvoices
CCChargeAuto
ClientNotifications
GenerateSeparateInvoices
value string | array required · Example: ["notify_billing","notify_support"]

Responses

200
data object required
data.settings object required
data.settings.CCChargeAuto string · enum · Example: off
off
on
data.settings.ClientNotifications string · Example: "{\"0\":\"notify_billing\",\"1\":\"notify_support\",\"2\":\"notify_domains\"}"
data.settings.DefaultNameservers string · Example: {"switch":"off","items":["","","",""]}
data.settings.DefaultPaymentModule string · Example: 16
data.settings.DefaultTimezone string required · Example: Europe/Amsterdam
data.settings.DiscountForms array<object> required · Example: []
data.settings.GenerateSeparateInvoices string · enum · Example: off
off
on
data.settings.RecordsPerPage string · Example: 25
data.settings.SupportDepartments array<object> required · Example: []
data.settings.SupportRates array<object> required · Example: []
data.settings.TaxExempt string · Example: 1
data.settings_enabled object required
data.settings_enabled.CCChargeAuto boolean · Example: true
data.settings_enabled.ClientNotifications boolean · Example: true
data.settings_enabled.DefaultNameservers boolean · Example: true
data.settings_enabled.DefaultPaymentModule boolean · Example: true
data.settings_enabled.DefaultTimezone boolean required · Example: true
data.settings_enabled.GenerateSeparateInvoices boolean · Example: true
data.settings_enabled.MergeInvoiceOptions boolean required · Example: false
data.settings_enabled.RecordsPerPage boolean · Example: true
data.settings_enabled.TaxExempt boolean · Example: true
data.success boolean required · Example: true

True for successful responses.

requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

success boolean required · Example: true

True for successful responses.

timestamp string required · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

POST https://cloud.hostup.se/api/account/automation
For AI assistants
cURL
curl -X POST "https://cloud.hostup.se/api/account/automation" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "setting": "GenerateSeparateInvoices",
    "value": "off"
  }'
Response
{
  "success": true,
  "timestamp": "2026-02-10T00:00:00.000Z",
  "requestId": "2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba",
  "data": {
    "success": true,
    "settings": {
      "DefaultTimezone": "Europe/Amsterdam",
      "GenerateSeparateInvoices": "off",
      "SupportDepartments": [],
      "SupportRates": [],
      "DiscountForms": []
    },
    "settings_enabled": {
      "DefaultTimezone": true,
      "GenerateSeparateInvoices": true,
      "MergeInvoiceOptions": false
    }
  }
}
Request Body Example 1
{
  "setting": "GenerateSeparateInvoices",
  "value": "off"
}